UL(1)

NUME
ul - face sublinieri

REZUMAT

ul [opțiuni] [fișier...]

DESCRIERE

ul citește fișierele numite (sau intrarea standard, dacă nu este specificat niciunul) și transformă aparițiile de sublinieri în secvența care indică sublinierea pentru terminalul utilizat, așa cum este specificată de variabila de mediu TERM. Baza de date terminfo este citită pentru a determina secvențele adecvate pentru subliniere. În cazul în care terminalul nu este capabil să sublinieze, dar este capabil de un mod de evidențiere, atunci acesta este utilizat în schimb. În cazul în care terminalul este capabil de suprapunere sau gestionează sublinierea în mod automat, ul degenerează în cat(1). În cazul în care terminalul nu poate sublinia, sublinierea este ignorată.

OPȚIUNI

-i, --indicated
    Sublinierea este indicată printr-o linie separată care conține liniuțele corespunzătoare „-”; acest lucru este util atunci când doriți să vedeți sublinierea prezentă într-un flux de ieșire nroff pe un terminal CRT.

-t, -T, --terminal terminal
    Suprascrie variabila de mediu TERM cu tipul de terminal specificat.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

MEDIU

Se utilizează următoarea variabilă de mediu:

TERM
    Variabila TERM este utilizată pentru a corela un dispozitiv tty cu descrierea capacității sale de dispozitiv (a se vedea terminfo(5)). TERM este definită în momentul conectării, fie prin tipul de terminal implicit specificat în /etc/ttys, fie în timpul procesului de conectare de către utilizator în fișierul său login (a se vedea setenv(3)).

ISTORIC

Comanda ul a apărut în versiunea 3.0BSD.

ERORI

nroff produce, de obicei, o serie de spații și sublinieri intercalate cu textul pentru a indica sublinierea. Nu se face nicio încercare de optimizare a mișcării înapoi, retrocesive.

CONSULTAȚI ȘI

colcrt(1), login(1), man(1), nroff(1), setenv(3), terminfo(5)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda ul face parte din pachetul util-linux care poate fi descărcat de la